summaryrefslogtreecommitdiff
path: root/regress/host-expand.sh
diff options
context:
space:
mode:
authordjm@openbsd.org <djm@openbsd.org>2017-04-30 23:34:55 +0000
committerDamien Miller <djm@mindrot.org>2017-05-01 11:59:42 +1000
commitdd369320d2435b630a5974ab270d686dcd92d024 (patch)
tree97ae4bb34d835fbafad12180862195a9e9192d28 /regress/host-expand.sh
parent557f921aad004be15805e09fd9572969eb3d9321 (diff)
downloadopenssh-git-dd369320d2435b630a5974ab270d686dcd92d024.tar.gz
upstream commit
eliminate explicit specification of protocol in tests and loops over protocol. We only support SSHv2 now. Upstream-Regress-ID: 0082838a9b8a382b7ee9cbf0c1b9db727784fadd
Diffstat (limited to 'regress/host-expand.sh')
-rw-r--r--regress/host-expand.sh9
1 files changed, 3 insertions, 6 deletions
diff --git a/regress/host-expand.sh b/regress/host-expand.sh
index 2a95bfe1..9444f7fb 100644
--- a/regress/host-expand.sh
+++ b/regress/host-expand.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: host-expand.sh,v 1.4 2015/03/03 22:35:19 markus Exp $
+# $OpenBSD: host-expand.sh,v 1.5 2017/04/30 23:34:55 djm Exp $
# Placed in the Public Domain.
tid="expand %h and %n"
@@ -11,9 +11,6 @@ somehost
127.0.0.1
EOE
-for p in ${SSH_PROTOCOLS}; do
- verbose "test $tid: proto $p"
- ${SSH} -F $OBJ/ssh_proxy -$p somehost true >$OBJ/actual
- diff $OBJ/expect $OBJ/actual || fail "$tid proto $p"
-done
+${SSH} -F $OBJ/ssh_proxy somehost true >$OBJ/actual
+diff $OBJ/expect $OBJ/actual || fail "$tid"